Make WordPress Core

Opened 13 months ago

Closed 13 months ago

Last modified 10 months ago

#58079 closed defect (bug) (fixed)

Update Requests library to version 2.0.6

Reported by: jrf's profile jrf Owned by: sergeybiryukov's profile SergeyBiryukov
Milestone: 6.3 Priority: normal
Severity: normal Version: 6.3
Component: External Libraries Keywords: needs-patch add-to-field-guide
Focuses: Cc:

Description (last modified by jrf)

Requests 2.0.6 has just been released with a tiny bug fix which is relevant for WP.

Full details:

I would recommend an update (with the exception of the certificate bundle for which WP has its own version).

Previous: #33055, #47746, #49922, #53101, #53334, #54504

Change History (3)

#1 @jrf
13 months ago

  • Description modified (diff)

#2 @SergeyBiryukov
13 months ago

  • Owner set to SergeyBiryukov
  • Resolution set to fixed
  • Status changed from new to closed

In 55629:

External Libraries: Update the Requests library to version 2.0.6.

This is a maintenance release with minor changes:

  • Fix typo in deprecation notice.
  • Minor internal improvements for passing the correct type to function calls.
  • Confirmed compatibility with PHP 8.2. No changes were needed, so Requests 2.0.1 and higher can be considered compatible with PHP 8.2.
  • Various documentation improvements and other general housekeeping.

References:

Follow-up to [54997], [55007], [55046], [55225], [55296].

Props jrf, costdev.
Fixes #58079.

#3 @stevenlinx
10 months ago

  • Keywords add-to-field-guide added
Note: See TracTickets for help on using tickets.